export type GalleryEntryInheritedProperties = {
  description?: string
  fields?: Record<string, string>
  tags: string[]
  title: string | null | undefined
  warning?: string
}

export type GalleryEntry = GalleryEntryInheritedProperties & {
  id: string
  thumbnailUrl: string
  url?: string
  variants?: GalleryEntries
}

export type GalleryEntries = { [idOrTitle: string]: GalleryEntry }

export type GalleryDisplayedEntries = { [idOrTitle: string]: GalleryEntry & {
  hidden?: boolean
}}

export type GalleryTag = {
  category?: string
  displayName?: string
}

export type GalleryTags = { [id: string]: GalleryTag }

export type GalleryList = {
  entries: GalleryEntries
  tags: GalleryTags
}
